/*
 * Copyright 2012 Steve Chaloner
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package actions;

import play.libs.F;
import play.mvc.Action;
import play.mvc.Http;
import play.mvc.SimpleResult;

/**
 * @author Steve Chaloner (steve@objectify.be)
 */
public class UpdateContextAction extends Action<UpdateContext>
{
    @Override
    public F.Promise<SimpleResult> call(Http.Context context) throws Throwable
    {
        context.args.put("UpdateContext",
                         configuration.value());
        return delegate.call(context);
    }
}
